;InnoSetupVersion=4.0.9

[Setup]
AppName=PCBoost
AppVerName=PCBoost
AppId=PCBoost
AppVersion=2.11.17.2003
AppPublisher=PGWARE
AppPublisherURL=http://www.pgware.com
AppSupportURL=http://www.pgware.com
AppUpdatesURL=http://www.pgware.com
AppMutex=PCBoostMutex
DefaultDirName={pf}\PCBoost
DefaultGroupName=PCBoost
UninstallDisplayIcon={app}\PCBoost.exe
UninstallDisplayName=PCBoost
OutputBaseFilename=pcboost
Compression=zip
PrivilegesRequired=none
ChangesAssociations=yes
LicenseFile=embedded\License.rtf
InfoBeforeFile=embedded\InfoBefore.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\PCBoost.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\PCBoost.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\PCBoost.ini"; DestDir: "{app}"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\ReadMe.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\ReadMe.rtf"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\License.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\License.rtf"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\History.txt"; DestDir: "{app}"; Flags: ignoreversion 

[Registry]
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "PCBoost"; ValueType: String; ValueData: "{app}\PCBoost.exe"; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\Microsoft\Windows NT\CurrentVersion\Run"; ValueName: "PCBoost"; ValueType: String; ValueData: "{app}\PCBoost.exe"; Flags: uninsdeletevalue 

[INI]
FileName: "{app}\PCBoost.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.pgware.com"; 
FileName: "{app}\Support.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.pgware.com/support.html"; 

[Run]
Filename: "{app}\PCBoost.exe"; Parameters: "/notify"; Description: "Launch PCBoost"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\PCBoost Application"; Filename: "{app}\PCBoost.exe"; Comment: "PCBoost Application"; 
Name: "{group}\PCBoost Help"; Filename: "{app}\PCBoost.chm"; Comment: "PCBoost Help"; 
Name: "{group}\PCBoost Homepage"; Filename: "{app}\PCBoost.url"; Comment: "PCBoost Homepage"; 
Name: "{group}\PCBoost Support"; Filename: "{app}\Support.url"; Comment: "PCBoost Support"; 
Name: "{userdesktop}\PCBoost"; Filename: "{app}\PCBoost.exe"; Comment: "PCBoost"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\PCBoost"; Filename: "{app}\PCBoost.exe"; Comment: "PCBoost"; Tasks: quicklaunchicon; 
Name: "{group}\Uninstall PCBoost"; Filename: "{uninstallexe}"; Comment: "Uninstall PCBoost"; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\PCBoost.url"; 
Type: files; Name: "{app}\Support.url"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
